OpenCV: cv::BRISK Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | List of all members
cv::BRISK Class Reference
2D Features Framework » Feature Detection and Description

Class implementing the BRISK keypoint detector and descriptor extractor, described in [LCS11] . More...

`#include "features2d.hpp"`

Inheritance diagram for cv::BRISK:

## Public Member Functions
virtual String | getDefaultName () const CV_OVERRIDE
Public Member Functions inherited from cv::Feature2D
virtual | ~Feature2D ()
virtual void | compute (InputArray image, std::vector< KeyPoint > &keypoints, OutputArray descriptors)
| Computes the descriptors for a set of keypoints detected in an image (first variant) or image set (second variant). More...
virtual void | compute (InputArrayOfArrays images, std::vector< std::vector< KeyPoint > > &keypoints, OutputArrayOfArrays descriptors)
virtual int | defaultNorm () const
virtual int | descriptorSize () const
virtual int | descriptorType () const
virtual void | detect (InputArray image, std::vector< KeyPoint > &keypoints, InputArray mask=noArray())
| Detects keypoints in an image (first variant) or image set (second variant). More...
virtual void | detect (InputArrayOfArrays images, std::vector< std::vector< KeyPoint > > &keypoints, InputArrayOfArrays masks=noArray())
virtual void | detectAndCompute (InputArray image, InputArray mask, std::vector< KeyPoint > &keypoints, OutputArray descriptors, bool useProvidedKeypoints=false)
virtual bool | empty () const CV_OVERRIDE
| Return true if detector object is empty. More...
void | read (const String &fileName)
virtual void | read (const FileNode &) CV_OVERRIDE
| Reads algorithm parameters from a file storage. More...
void | write (const String &fileName) const
virtual void | write (FileStorage &) const CV_OVERRIDE
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual void | save (const String &filename) const
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static Ptr< BRISK > | create (int thresh=30, int octaves=3, float patternScale=1.0f)
| The BRISK constructor. More...
static Ptr< BRISK > | create (const std::vector< float > &radiusList, const std::vector< int > &numberList, float dMax=5.85f, float dMin=8.2f, const std::vector< int > &indexChange=std::vector< int >())
| The BRISK constructor for a custom pattern. More...
static Ptr< BRISK > | create (int thresh, int octaves, const std::vector< float > &radiusList, const std::vector< int > &numberList, float dMax=5.85f, float dMin=8.2f, const std::vector< int > &indexChange=std::vector< int >())
| The BRISK constructor for a custom pattern, detection threshold and octaves. More...
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Additional Inherited Members
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Class implementing the BRISK keypoint detector and descriptor extractor, described in [LCS11] .

## Member Function Documentation

## ◆ create() [1/3]

static Ptr<BRISK> cv::BRISK::create | ( | int | thresh = `30`,
|  | int | octaves = `3`,
|  | float | patternScale = `1.0f`
| ) |  |
| static

The BRISK constructor.

Parameters

  thresh | AGAST detection threshold score.
  octaves | detection octaves. Use 0 to do single scale.
  patternScale | apply this scale to the pattern used for sampling the neighbourhood of a keypoint.

## ◆ create() [2/3]

static Ptr<BRISK> cv::BRISK::create | ( | const std::vector< float > & | radiusList,
|  | const std::vector< int > & | numberList,
|  | float | dMax = `5.85f`,
|  | float | dMin = `8.2f`,
|  | const std::vector< int > & | indexChange = `std::vector< int >()`
| ) |  |
| static

The BRISK constructor for a custom pattern.

Parameters

  radiusList | defines the radii (in pixels) where the samples around a keypoint are taken (for keypoint scale 1).
  numberList | defines the number of sampling points on the sampling circle. Must be the same size as radiusList..
  dMax | threshold for the short pairings used for descriptor formation (in pixels for keypoint scale 1).
  dMin | threshold for the long pairings used for orientation determination (in pixels for keypoint scale 1).
  indexChange | index remapping of the bits.

## ◆ create() [3/3]

static Ptr<BRISK> cv::BRISK::create | ( | int | thresh,
|  | int | octaves,
|  | const std::vector< float > & | radiusList,
|  | const std::vector< int > & | numberList,
|  | float | dMax = `5.85f`,
|  | float | dMin = `8.2f`,
|  | const std::vector< int > & | indexChange = `std::vector< int >()`
| ) |  |
| static

The BRISK constructor for a custom pattern, detection threshold and octaves.

Parameters

  thresh | AGAST detection threshold score.
  octaves | detection octaves. Use 0 to do single scale.
  radiusList | defines the radii (in pixels) where the samples around a keypoint are taken (for keypoint scale 1).
  numberList | defines the number of sampling points on the sampling circle. Must be the same size as radiusList..
  dMax | threshold for the short pairings used for descriptor formation (in pixels for keypoint scale 1).
  dMin | threshold for the long pairings used for orientation determination (in pixels for keypoint scale 1).
  indexChange | index remapping of the bits.

## ◆ getDefaultName()

virtual String cv::BRISK::getDefaultName | ( |  | ) | const
| virtual

Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string.

Reimplemented from cv::Feature2D.

The documentation for this class was generated from the following file:

- features2d/include/opencv2/features2d.hpp